Annotation of embedaddon/arping/src/Makefile.in, revision 1.1.1.3
1.1.1.3 ! misho 1: # Makefile.in generated by automake 1.16.1 from Makefile.am.
1.1 misho 2: # @configure_input@
3:
1.1.1.3 ! misho 4: # Copyright (C) 1994-2018 Free Software Foundation, Inc.
! 5:
1.1 misho 6: # This Makefile.in is free software; the Free Software Foundation
7: # gives unlimited permission to copy and/or distribute it,
8: # with or without modifications, as long as this notice is preserved.
9:
10: # This program is distributed in the hope that it will be useful,
11: # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12: # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13: # PARTICULAR PURPOSE.
14:
15: @SET_MAKE@
16:
17: # arping/src/Makefile.am
18:
19: VPATH = @srcdir@
1.1.1.3 ! misho 20: am__is_gnu_make = { \
! 21: if test -z '$(MAKELEVEL)'; then \
! 22: false; \
! 23: elif test -n '$(MAKE_HOST)'; then \
! 24: true; \
! 25: elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
! 26: true; \
! 27: else \
! 28: false; \
! 29: fi; \
! 30: }
! 31: am__make_running_with_option = \
! 32: case $${target_option-} in \
! 33: ?) ;; \
! 34: *) echo "am__make_running_with_option: internal error: invalid" \
! 35: "target option '$${target_option-}' specified" >&2; \
! 36: exit 1;; \
! 37: esac; \
! 38: has_opt=no; \
! 39: sane_makeflags=$$MAKEFLAGS; \
! 40: if $(am__is_gnu_make); then \
! 41: sane_makeflags=$$MFLAGS; \
! 42: else \
1.1.1.2 misho 43: case $$MAKEFLAGS in \
44: *\\[\ \ ]*) \
1.1.1.3 ! misho 45: bs=\\; \
! 46: sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
! 47: | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
1.1.1.2 misho 48: esac; \
1.1.1.3 ! misho 49: fi; \
! 50: skip_next=no; \
! 51: strip_trailopt () \
! 52: { \
! 53: flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
! 54: }; \
! 55: for flg in $$sane_makeflags; do \
! 56: test $$skip_next = yes && { skip_next=no; continue; }; \
! 57: case $$flg in \
! 58: *=*|--*) continue;; \
! 59: -*I) strip_trailopt 'I'; skip_next=yes;; \
! 60: -*I?*) strip_trailopt 'I';; \
! 61: -*O) strip_trailopt 'O'; skip_next=yes;; \
! 62: -*O?*) strip_trailopt 'O';; \
! 63: -*l) strip_trailopt 'l'; skip_next=yes;; \
! 64: -*l?*) strip_trailopt 'l';; \
! 65: -[dEDm]) skip_next=yes;; \
! 66: -[JT]) skip_next=yes;; \
! 67: esac; \
! 68: case $$flg in \
! 69: *$$target_option*) has_opt=yes; break;; \
! 70: esac; \
! 71: done; \
! 72: test $$has_opt = yes
! 73: am__make_dryrun = (target_option=n; $(am__make_running_with_option))
! 74: am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
1.1 misho 75: pkgdatadir = $(datadir)/@PACKAGE@
76: pkgincludedir = $(includedir)/@PACKAGE@
1.1.1.2 misho 77: pkglibdir = $(libdir)/@PACKAGE@
78: pkglibexecdir = $(libexecdir)/@PACKAGE@
1.1 misho 79: am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80: install_sh_DATA = $(install_sh) -c -m 644
81: install_sh_PROGRAM = $(install_sh) -c
82: install_sh_SCRIPT = $(install_sh) -c
83: INSTALL_HEADER = $(INSTALL_DATA)
84: transform = $(program_transform_name)
85: NORMAL_INSTALL = :
86: PRE_INSTALL = :
87: POST_INSTALL = :
88: NORMAL_UNINSTALL = :
89: PRE_UNINSTALL = :
90: POST_UNINSTALL = :
91: build_triplet = @build@
92: host_triplet = @host@
93: target_triplet = @target@
94: sbin_PROGRAMS = arping$(EXEEXT)
1.1.1.3 ! misho 95: noinst_PROGRAMS = fuzz_pingip$(EXEEXT)
! 96: TESTS = arping_test$(EXEEXT)
! 97: check_PROGRAMS = arping_test$(EXEEXT)
1.1 misho 98: subdir = src
99: ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
100: am__aclocal_m4_deps = $(top_srcdir)/configure.ac
101: am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102: $(ACLOCAL_M4)
1.1.1.3 ! misho 103: DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
1.1 misho 104: mkinstalldirs = $(install_sh) -d
105: CONFIG_HEADER = $(top_builddir)/config.h
106: CONFIG_CLEAN_FILES =
1.1.1.2 misho 107: CONFIG_CLEAN_VPATH_FILES =
1.1 misho 108: am__installdirs = "$(DESTDIR)$(sbindir)"
1.1.1.3 ! misho 109: PROGRAMS = $(noinst_PROGRAMS) $(sbin_PROGRAMS)
! 110: am_arping_OBJECTS = arping.$(OBJEXT) arping_main.$(OBJEXT) \
! 111: unix.$(OBJEXT)
1.1 misho 112: arping_OBJECTS = $(am_arping_OBJECTS)
113: arping_DEPENDENCIES = $(LIBOBJS)
1.1.1.3 ! misho 114: am_arping_test_OBJECTS = arping.$(OBJEXT) arping_test.$(OBJEXT) \
! 115: unix.$(OBJEXT) mock_libpcap.$(OBJEXT) mock_libnet.$(OBJEXT)
! 116: arping_test_OBJECTS = $(am_arping_test_OBJECTS)
! 117: arping_test_DEPENDENCIES = $(LIBOBJS)
! 118: am_fuzz_pingip_OBJECTS = arping.$(OBJEXT) fuzz_pingip.$(OBJEXT) \
! 119: unix.$(OBJEXT) mock_libpcap.$(OBJEXT) mock_libnet.$(OBJEXT)
! 120: fuzz_pingip_OBJECTS = $(am_fuzz_pingip_OBJECTS)
! 121: fuzz_pingip_DEPENDENCIES = $(LIBOBJS)
! 122: AM_V_P = $(am__v_P_@AM_V@)
! 123: am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
! 124: am__v_P_0 = false
! 125: am__v_P_1 = :
! 126: AM_V_GEN = $(am__v_GEN_@AM_V@)
! 127: am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
! 128: am__v_GEN_0 = @echo " GEN " $@;
! 129: am__v_GEN_1 =
! 130: AM_V_at = $(am__v_at_@AM_V@)
! 131: am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
! 132: am__v_at_0 = @
! 133: am__v_at_1 =
1.1 misho 134: DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
135: depcomp = $(SHELL) $(top_srcdir)/depcomp
1.1.1.3 ! misho 136: am__maybe_remake_depfiles = depfiles
! 137: am__depfiles_remade = $(DEPDIR)/findif_bsdroute.Po \
! 138: $(DEPDIR)/findif_getifaddrs.Po $(DEPDIR)/findif_linux.Po \
! 139: $(DEPDIR)/findif_other.Po $(DEPDIR)/findif_sysctl.Po \
! 140: ./$(DEPDIR)/arping.Po ./$(DEPDIR)/arping_main.Po \
! 141: ./$(DEPDIR)/arping_test.Po ./$(DEPDIR)/fuzz_pingip.Po \
! 142: ./$(DEPDIR)/mock_libnet.Po ./$(DEPDIR)/mock_libpcap.Po \
! 143: ./$(DEPDIR)/unix.Po
1.1.1.2 misho 144: am__mv = mv -f
1.1 misho 145: COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
146: $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
1.1.1.3 ! misho 147: AM_V_CC = $(am__v_CC_@AM_V@)
! 148: am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
! 149: am__v_CC_0 = @echo " CC " $@;
! 150: am__v_CC_1 =
1.1 misho 151: CCLD = $(CC)
152: LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
1.1.1.3 ! misho 153: AM_V_CCLD = $(am__v_CCLD_@AM_V@)
! 154: am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
! 155: am__v_CCLD_0 = @echo " CCLD " $@;
! 156: am__v_CCLD_1 =
! 157: SOURCES = $(arping_SOURCES) $(arping_test_SOURCES) \
! 158: $(fuzz_pingip_SOURCES)
! 159: DIST_SOURCES = $(arping_SOURCES) $(arping_test_SOURCES) \
! 160: $(fuzz_pingip_SOURCES)
1.1.1.2 misho 161: am__can_run_installinfo = \
162: case $$AM_UPDATE_INFO_DIR in \
163: n|no|NO) false;; \
164: *) (install-info --version) >/dev/null 2>&1;; \
165: esac
1.1.1.3 ! misho 166: am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
! 167: # Read a list of newline-separated strings from the standard input,
! 168: # and print each of them once, without duplicates. Input order is
! 169: # *not* preserved.
! 170: am__uniquify_input = $(AWK) '\
! 171: BEGIN { nonempty = 0; } \
! 172: { items[$$0] = 1; nonempty = 1; } \
! 173: END { if (nonempty) { for (i in items) print i; }; } \
! 174: '
! 175: # Make sure the list of sources is unique. This is necessary because,
! 176: # e.g., the same source file might be shared among _SOURCES variables
! 177: # for different programs/libraries.
! 178: am__define_uniq_tagged_files = \
! 179: list='$(am__tagged_files)'; \
! 180: unique=`for i in $$list; do \
! 181: if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
! 182: done | $(am__uniquify_input)`
1.1 misho 183: ETAGS = etags
184: CTAGS = ctags
1.1.1.3 ! misho 185: am__tty_colors_dummy = \
! 186: mgn= red= grn= lgn= blu= brg= std=; \
! 187: am__color_tests=no
! 188: am__tty_colors = { \
! 189: $(am__tty_colors_dummy); \
! 190: if test "X$(AM_COLOR_TESTS)" = Xno; then \
! 191: am__color_tests=no; \
! 192: elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
! 193: am__color_tests=yes; \
! 194: elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
! 195: am__color_tests=yes; \
! 196: fi; \
! 197: if test $$am__color_tests = yes; then \
! 198: red='[0;31m'; \
! 199: grn='[0;32m'; \
! 200: lgn='[1;32m'; \
! 201: blu='[1;34m'; \
! 202: mgn='[0;35m'; \
! 203: brg='[1m'; \
! 204: std='[m'; \
! 205: fi; \
! 206: }
! 207: am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
! 208: am__vpath_adj = case $$p in \
! 209: $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
! 210: *) f=$$p;; \
! 211: esac;
! 212: am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
! 213: am__install_max = 40
! 214: am__nobase_strip_setup = \
! 215: srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
! 216: am__nobase_strip = \
! 217: for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
! 218: am__nobase_list = $(am__nobase_strip_setup); \
! 219: for p in $$list; do echo "$$p $$p"; done | \
! 220: sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
! 221: $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
! 222: if (++n[$$2] == $(am__install_max)) \
! 223: { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
! 224: END { for (dir in files) print dir, files[dir] }'
! 225: am__base_list = \
! 226: sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
! 227: sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
! 228: am__uninstall_files_from_dir = { \
! 229: test -z "$$files" \
! 230: || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
! 231: || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
! 232: $(am__cd) "$$dir" && rm -f $$files; }; \
! 233: }
! 234: am__recheck_rx = ^[ ]*:recheck:[ ]*
! 235: am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
! 236: am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
! 237: # A command that, given a newline-separated list of test names on the
! 238: # standard input, print the name of the tests that are to be re-run
! 239: # upon "make recheck".
! 240: am__list_recheck_tests = $(AWK) '{ \
! 241: recheck = 1; \
! 242: while ((rc = (getline line < ($$0 ".trs"))) != 0) \
! 243: { \
! 244: if (rc < 0) \
! 245: { \
! 246: if ((getline line2 < ($$0 ".log")) < 0) \
! 247: recheck = 0; \
! 248: break; \
! 249: } \
! 250: else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
! 251: { \
! 252: recheck = 0; \
! 253: break; \
! 254: } \
! 255: else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
! 256: { \
! 257: break; \
! 258: } \
! 259: }; \
! 260: if (recheck) \
! 261: print $$0; \
! 262: close ($$0 ".trs"); \
! 263: close ($$0 ".log"); \
! 264: }'
! 265: # A command that, given a newline-separated list of test names on the
! 266: # standard input, create the global log from their .trs and .log files.
! 267: am__create_global_log = $(AWK) ' \
! 268: function fatal(msg) \
! 269: { \
! 270: print "fatal: making $@: " msg | "cat >&2"; \
! 271: exit 1; \
! 272: } \
! 273: function rst_section(header) \
! 274: { \
! 275: print header; \
! 276: len = length(header); \
! 277: for (i = 1; i <= len; i = i + 1) \
! 278: printf "="; \
! 279: printf "\n\n"; \
! 280: } \
! 281: { \
! 282: copy_in_global_log = 1; \
! 283: global_test_result = "RUN"; \
! 284: while ((rc = (getline line < ($$0 ".trs"))) != 0) \
! 285: { \
! 286: if (rc < 0) \
! 287: fatal("failed to read from " $$0 ".trs"); \
! 288: if (line ~ /$(am__global_test_result_rx)/) \
! 289: { \
! 290: sub("$(am__global_test_result_rx)", "", line); \
! 291: sub("[ ]*$$", "", line); \
! 292: global_test_result = line; \
! 293: } \
! 294: else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
! 295: copy_in_global_log = 0; \
! 296: }; \
! 297: if (copy_in_global_log) \
! 298: { \
! 299: rst_section(global_test_result ": " $$0); \
! 300: while ((rc = (getline line < ($$0 ".log"))) != 0) \
! 301: { \
! 302: if (rc < 0) \
! 303: fatal("failed to read from " $$0 ".log"); \
! 304: print line; \
! 305: }; \
! 306: printf "\n"; \
! 307: }; \
! 308: close ($$0 ".trs"); \
! 309: close ($$0 ".log"); \
! 310: }'
! 311: # Restructured Text title.
! 312: am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
! 313: # Solaris 10 'make', and several other traditional 'make' implementations,
! 314: # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
! 315: # by disabling -e (using the XSI extension "set +e") if it's set.
! 316: am__sh_e_setup = case $$- in *e*) set +e;; esac
! 317: # Default flags passed to test drivers.
! 318: am__common_driver_flags = \
! 319: --color-tests "$$am__color_tests" \
! 320: --enable-hard-errors "$$am__enable_hard_errors" \
! 321: --expect-failure "$$am__expect_failure"
! 322: # To be inserted before the command running the test. Creates the
! 323: # directory for the log if needed. Stores in $dir the directory
! 324: # containing $f, in $tst the test, in $log the log. Executes the
! 325: # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
! 326: # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
! 327: # will run the test scripts (or their associated LOG_COMPILER, if
! 328: # thy have one).
! 329: am__check_pre = \
! 330: $(am__sh_e_setup); \
! 331: $(am__vpath_adj_setup) $(am__vpath_adj) \
! 332: $(am__tty_colors); \
! 333: srcdir=$(srcdir); export srcdir; \
! 334: case "$@" in \
! 335: */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
! 336: *) am__odir=.;; \
! 337: esac; \
! 338: test "x$$am__odir" = x"." || test -d "$$am__odir" \
! 339: || $(MKDIR_P) "$$am__odir" || exit $$?; \
! 340: if test -f "./$$f"; then dir=./; \
! 341: elif test -f "$$f"; then dir=; \
! 342: else dir="$(srcdir)/"; fi; \
! 343: tst=$$dir$$f; log='$@'; \
! 344: if test -n '$(DISABLE_HARD_ERRORS)'; then \
! 345: am__enable_hard_errors=no; \
! 346: else \
! 347: am__enable_hard_errors=yes; \
! 348: fi; \
! 349: case " $(XFAIL_TESTS) " in \
! 350: *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
! 351: am__expect_failure=yes;; \
! 352: *) \
! 353: am__expect_failure=no;; \
! 354: esac; \
! 355: $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
! 356: # A shell command to get the names of the tests scripts with any registered
! 357: # extension removed (i.e., equivalently, the names of the test logs, with
! 358: # the '.log' extension removed). The result is saved in the shell variable
! 359: # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
! 360: # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
! 361: # since that might cause problem with VPATH rewrites for suffix-less tests.
! 362: # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
! 363: am__set_TESTS_bases = \
! 364: bases='$(TEST_LOGS)'; \
! 365: bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
! 366: bases=`echo $$bases`
! 367: RECHECK_LOGS = $(TEST_LOGS)
! 368: AM_RECURSIVE_TARGETS = check recheck
! 369: TEST_SUITE_LOG = test-suite.log
! 370: TEST_EXTENSIONS = @EXEEXT@ .test
! 371: LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
! 372: LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
! 373: am__set_b = \
! 374: case '$@' in \
! 375: */*) \
! 376: case '$*' in \
! 377: */*) b='$*';; \
! 378: *) b=`echo '$@' | sed 's/\.log$$//'`; \
! 379: esac;; \
! 380: *) \
! 381: b='$*';; \
! 382: esac
! 383: am__test_logs1 = $(TESTS:=.log)
! 384: am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
! 385: TEST_LOGS = $(am__test_logs2:.test.log=.log)
! 386: TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
! 387: TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
! 388: $(TEST_LOG_FLAGS)
! 389: am__DIST_COMMON = $(srcdir)/Makefile.in \
! 390: $(top_srcdir)/Makefile.am.common $(top_srcdir)/depcomp \
! 391: $(top_srcdir)/test-driver findif_bsdroute.c \
! 392: findif_getifaddrs.c findif_linux.c findif_other.c \
! 393: findif_sysctl.c
1.1 misho 394: DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
395: ACLOCAL = @ACLOCAL@
396: AMTAR = @AMTAR@
1.1.1.3 ! misho 397: AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
1.1 misho 398: AUTOCONF = @AUTOCONF@
399: AUTOHEADER = @AUTOHEADER@
400: AUTOMAKE = @AUTOMAKE@
401: AWK = @AWK@
402: CC = @CC@
403: CCDEPMODE = @CCDEPMODE@
1.1.1.3 ! misho 404: CFLAGS = @CFLAGS@ $(EXTRA_CFLAGS)
1.1 misho 405: CPP = @CPP@
406: CPPFLAGS = @CPPFLAGS@
407: CYGPATH_W = @CYGPATH_W@
408: DEFS = @DEFS@
409: DEPDIR = @DEPDIR@
410: ECHO_C = @ECHO_C@
411: ECHO_N = @ECHO_N@
412: ECHO_T = @ECHO_T@
413: EGREP = @EGREP@
414: EXEEXT = @EXEEXT@
415: GREP = @GREP@
416: INSTALL = @INSTALL@
417: INSTALL_DATA = @INSTALL_DATA@
418: INSTALL_PROGRAM = @INSTALL_PROGRAM@
419: INSTALL_SCRIPT = @INSTALL_SCRIPT@
420: INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
421: LDFLAGS = @LDFLAGS@
422: LIBOBJS = @LIBOBJS@
423: LIBS = @LIBS@
424: LTLIBOBJS = @LTLIBOBJS@
425: MAINT = @MAINT@
426: MAKEINFO = @MAKEINFO@
427: MKDIR_P = @MKDIR_P@
428: OBJEXT = @OBJEXT@
429: PACKAGE = @PACKAGE@
430: PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
431: PACKAGE_NAME = @PACKAGE_NAME@
432: PACKAGE_STRING = @PACKAGE_STRING@
433: PACKAGE_TARNAME = @PACKAGE_TARNAME@
1.1.1.2 misho 434: PACKAGE_URL = @PACKAGE_URL@
1.1 misho 435: PACKAGE_VERSION = @PACKAGE_VERSION@
436: PATH_SEPARATOR = @PATH_SEPARATOR@
437: SET_MAKE = @SET_MAKE@
438: SHELL = @SHELL@
439: STRIP = @STRIP@
440: VERSION = @VERSION@
441: abs_builddir = @abs_builddir@
442: abs_srcdir = @abs_srcdir@
443: abs_top_builddir = @abs_top_builddir@
444: abs_top_srcdir = @abs_top_srcdir@
445: ac_ct_CC = @ac_ct_CC@
446: am__include = @am__include@
447: am__leading_dot = @am__leading_dot@
448: am__quote = @am__quote@
449: am__tar = @am__tar@
450: am__untar = @am__untar@
451: bindir = @bindir@
452: build = @build@
453: build_alias = @build_alias@
454: build_cpu = @build_cpu@
455: build_os = @build_os@
456: build_vendor = @build_vendor@
457: builddir = @builddir@
458: datadir = @datadir@
459: datarootdir = @datarootdir@
460: docdir = @docdir@
461: dvidir = @dvidir@
462: exec_prefix = @exec_prefix@
463: host = @host@
464: host_alias = @host_alias@
465: host_cpu = @host_cpu@
466: host_os = @host_os@
467: host_vendor = @host_vendor@
468: htmldir = @htmldir@
469: includedir = @includedir@
470: infodir = @infodir@
471: install_sh = @install_sh@
472: libdir = @libdir@
473: libexecdir = @libexecdir@
474: localedir = @localedir@
475: localstatedir = @localstatedir@
476: mandir = @mandir@
477: mkdir_p = @mkdir_p@
478: oldincludedir = @oldincludedir@
479: pdfdir = @pdfdir@
480: prefix = @prefix@
481: program_transform_name = @program_transform_name@
482: psdir = @psdir@
1.1.1.3 ! misho 483: runstatedir = @runstatedir@
1.1 misho 484: sbindir = @sbindir@
485: sharedstatedir = @sharedstatedir@
486: srcdir = @srcdir@
487: sysconfdir = @sysconfdir@
488: target = @target@
489: target_alias = @target_alias@
490: target_cpu = @target_cpu@
491: target_os = @target_os@
492: target_vendor = @target_vendor@
1.1.1.2 misho 493: top_build_prefix = @top_build_prefix@
1.1 misho 494: top_builddir = @top_builddir@
495: top_srcdir = @top_srcdir@
496:
497: # arping/Makefile.am.common
498: AUTOMAKE_OPTIONS = foreign
499: DISTCLEANFILES = *~
1.1.1.3 ! misho 500: arping_SOURCES = arping.c arping_main.c unix.c
1.1 misho 501: arping_LDADD = $(LIBOBJS)
1.1.1.3 ! misho 502: fuzz_pingip_SOURCES = arping.c fuzz_pingip.c unix.c mock_libpcap.c mock_libnet.c
! 503: fuzz_pingip_LDADD = $(LIBOBJS)
! 504: arping_test_SOURCES = arping.c arping_test.c unix.c mock_libpcap.c mock_libnet.c
! 505: arping_test_LDADD = $(LIBOBJS) -lcheck -lpthread -lsubunit
1.1 misho 506: all: all-am
507:
508: .SUFFIXES:
1.1.1.3 ! misho 509: .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
1.1 misho 510: $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(am__configure_deps)
511: @for dep in $?; do \
512: case '$(am__configure_deps)' in \
513: *$$dep*) \
1.1.1.2 misho 514: ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
515: && { if test -f $@; then exit 0; else break; fi; }; \
1.1 misho 516: exit 1;; \
517: esac; \
518: done; \
1.1.1.2 misho 519: echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
520: $(am__cd) $(top_srcdir) && \
521: $(AUTOMAKE) --foreign src/Makefile
1.1 misho 522: Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
523: @case '$?' in \
524: *config.status*) \
525: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
526: *) \
1.1.1.3 ! misho 527: echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
! 528: cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
1.1 misho 529: esac;
1.1.1.3 ! misho 530: $(top_srcdir)/Makefile.am.common $(am__empty):
1.1 misho 531:
532: $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
533: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
534:
535: $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
536: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
537: $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
538: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1.1.1.2 misho 539: $(am__aclocal_m4_deps):
1.1.1.3 ! misho 540:
! 541: clean-checkPROGRAMS:
! 542: -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
! 543:
! 544: clean-noinstPROGRAMS:
! 545: -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
1.1 misho 546: install-sbinPROGRAMS: $(sbin_PROGRAMS)
547: @$(NORMAL_INSTALL)
1.1.1.2 misho 548: @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
549: if test -n "$$list"; then \
550: echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
551: $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
552: fi; \
553: for p in $$list; do echo "$$p $$p"; done | \
554: sed 's/$(EXEEXT)$$//' | \
1.1.1.3 ! misho 555: while read p p1; do if test -f $$p \
! 556: ; then echo "$$p"; echo "$$p"; else :; fi; \
1.1.1.2 misho 557: done | \
1.1.1.3 ! misho 558: sed -e 'p;s,.*/,,;n;h' \
! 559: -e 's|.*|.|' \
1.1.1.2 misho 560: -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
561: sed 'N;N;N;s,\n, ,g' | \
562: $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
563: { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
564: if ($$2 == $$4) files[d] = files[d] " " $$1; \
565: else { print "f", $$3 "/" $$4, $$1; } } \
566: END { for (d in files) print "f", d, files[d] }' | \
567: while read type dir files; do \
568: if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
569: test -z "$$files" || { \
570: echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
571: $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
572: } \
573: ; done
1.1 misho 574:
575: uninstall-sbinPROGRAMS:
576: @$(NORMAL_UNINSTALL)
1.1.1.2 misho 577: @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
578: files=`for p in $$list; do echo "$$p"; done | \
579: sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
1.1.1.3 ! misho 580: -e 's/$$/$(EXEEXT)/' \
! 581: `; \
1.1.1.2 misho 582: test -n "$$list" || exit 0; \
583: echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
584: cd "$(DESTDIR)$(sbindir)" && rm -f $$files
1.1 misho 585:
586: clean-sbinPROGRAMS:
587: -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
1.1.1.3 ! misho 588:
1.1.1.2 misho 589: arping$(EXEEXT): $(arping_OBJECTS) $(arping_DEPENDENCIES) $(EXTRA_arping_DEPENDENCIES)
1.1 misho 590: @rm -f arping$(EXEEXT)
1.1.1.3 ! misho 591: $(AM_V_CCLD)$(LINK) $(arping_OBJECTS) $(arping_LDADD) $(LIBS)
! 592:
! 593: arping_test$(EXEEXT): $(arping_test_OBJECTS) $(arping_test_DEPENDENCIES) $(EXTRA_arping_test_DEPENDENCIES)
! 594: @rm -f arping_test$(EXEEXT)
! 595: $(AM_V_CCLD)$(LINK) $(arping_test_OBJECTS) $(arping_test_LDADD) $(LIBS)
! 596:
! 597: fuzz_pingip$(EXEEXT): $(fuzz_pingip_OBJECTS) $(fuzz_pingip_DEPENDENCIES) $(EXTRA_fuzz_pingip_DEPENDENCIES)
! 598: @rm -f fuzz_pingip$(EXEEXT)
! 599: $(AM_V_CCLD)$(LINK) $(fuzz_pingip_OBJECTS) $(fuzz_pingip_LDADD) $(LIBS)
1.1 misho 600:
601: mostlyclean-compile:
602: -rm -f *.$(OBJEXT)
603:
604: distclean-compile:
605: -rm -f *.tab.c
606:
1.1.1.3 ! misho 607: @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_bsdroute.Po@am__quote@ # am--include-marker
! 608: @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_getifaddrs.Po@am__quote@ # am--include-marker
! 609: @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_linux.Po@am__quote@ # am--include-marker
! 610: @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_other.Po@am__quote@ # am--include-marker
! 611: @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_sysctl.Po@am__quote@ # am--include-marker
! 612: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arping.Po@am__quote@ # am--include-marker
! 613: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arping_main.Po@am__quote@ # am--include-marker
! 614: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arping_test.Po@am__quote@ # am--include-marker
! 615: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fuzz_pingip.Po@am__quote@ # am--include-marker
! 616: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mock_libnet.Po@am__quote@ # am--include-marker
! 617: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mock_libpcap.Po@am__quote@ # am--include-marker
! 618: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unix.Po@am__quote@ # am--include-marker
! 619:
! 620: $(am__depfiles_remade):
! 621: @$(MKDIR_P) $(@D)
! 622: @echo '# dummy' >$@-t && $(am__mv) $@-t $@
! 623:
! 624: am--depfiles: $(am__depfiles_remade)
1.1 misho 625:
626: .c.o:
1.1.1.3 ! misho 627: @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
! 628: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
! 629: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1.1 misho 630: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.3 ! misho 631: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1.1 misho 632:
633: .c.obj:
1.1.1.3 ! misho 634: @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
! 635: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
! 636: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1.1 misho 637: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.3 ! misho 638: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1.1 misho 639:
1.1.1.3 ! misho 640: ID: $(am__tagged_files)
! 641: $(am__define_uniq_tagged_files); mkid -fID $$unique
! 642: tags: tags-am
! 643: TAGS: tags
1.1 misho 644:
1.1.1.3 ! misho 645: tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1.1.1.2 misho 646: set x; \
1.1 misho 647: here=`pwd`; \
1.1.1.3 ! misho 648: $(am__define_uniq_tagged_files); \
1.1.1.2 misho 649: shift; \
650: if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1.1 misho 651: test -n "$$unique" || unique=$$empty_fix; \
1.1.1.2 misho 652: if test $$# -gt 0; then \
653: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
654: "$$@" $$unique; \
655: else \
656: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
657: $$unique; \
658: fi; \
1.1 misho 659: fi
1.1.1.3 ! misho 660: ctags: ctags-am
! 661:
! 662: CTAGS: ctags
! 663: ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
! 664: $(am__define_uniq_tagged_files); \
1.1.1.2 misho 665: test -z "$(CTAGS_ARGS)$$unique" \
1.1 misho 666: || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1.1.1.2 misho 667: $$unique
1.1 misho 668:
669: GTAGS:
670: here=`$(am__cd) $(top_builddir) && pwd` \
1.1.1.2 misho 671: && $(am__cd) $(top_srcdir) \
672: && gtags -i $(GTAGS_ARGS) "$$here"
1.1.1.3 ! misho 673: cscopelist: cscopelist-am
! 674:
! 675: cscopelist-am: $(am__tagged_files)
! 676: list='$(am__tagged_files)'; \
! 677: case "$(srcdir)" in \
! 678: [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
! 679: *) sdir=$(subdir)/$(srcdir) ;; \
! 680: esac; \
! 681: for i in $$list; do \
! 682: if test -f "$$i"; then \
! 683: echo "$(subdir)/$$i"; \
! 684: else \
! 685: echo "$$sdir/$$i"; \
! 686: fi; \
! 687: done >> $(top_builddir)/cscope.files
1.1 misho 688:
689: distclean-tags:
690: -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
691:
1.1.1.3 ! misho 692: # Recover from deleted '.trs' file; this should ensure that
! 693: # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
! 694: # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
! 695: # to avoid problems with "make -n".
! 696: .log.trs:
! 697: rm -f $< $@
! 698: $(MAKE) $(AM_MAKEFLAGS) $<
! 699:
! 700: # Leading 'am--fnord' is there to ensure the list of targets does not
! 701: # expand to empty, as could happen e.g. with make check TESTS=''.
! 702: am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
! 703: am--force-recheck:
! 704: @:
! 705:
! 706: $(TEST_SUITE_LOG): $(TEST_LOGS)
! 707: @$(am__set_TESTS_bases); \
! 708: am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
! 709: redo_bases=`for i in $$bases; do \
! 710: am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
! 711: done`; \
! 712: if test -n "$$redo_bases"; then \
! 713: redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
! 714: redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
! 715: if $(am__make_dryrun); then :; else \
! 716: rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
! 717: fi; \
! 718: fi; \
! 719: if test -n "$$am__remaking_logs"; then \
! 720: echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
! 721: "recursion detected" >&2; \
! 722: elif test -n "$$redo_logs"; then \
! 723: am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
! 724: fi; \
! 725: if $(am__make_dryrun); then :; else \
! 726: st=0; \
! 727: errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
! 728: for i in $$redo_bases; do \
! 729: test -f $$i.trs && test -r $$i.trs \
! 730: || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
! 731: test -f $$i.log && test -r $$i.log \
! 732: || { echo "$$errmsg $$i.log" >&2; st=1; }; \
! 733: done; \
! 734: test $$st -eq 0 || exit 1; \
! 735: fi
! 736: @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
! 737: ws='[ ]'; \
! 738: results=`for b in $$bases; do echo $$b.trs; done`; \
! 739: test -n "$$results" || results=/dev/null; \
! 740: all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
! 741: pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
! 742: fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
! 743: skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
! 744: xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
! 745: xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
! 746: error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
! 747: if test `expr $$fail + $$xpass + $$error` -eq 0; then \
! 748: success=true; \
! 749: else \
! 750: success=false; \
! 751: fi; \
! 752: br='==================='; br=$$br$$br$$br$$br; \
! 753: result_count () \
! 754: { \
! 755: if test x"$$1" = x"--maybe-color"; then \
! 756: maybe_colorize=yes; \
! 757: elif test x"$$1" = x"--no-color"; then \
! 758: maybe_colorize=no; \
! 759: else \
! 760: echo "$@: invalid 'result_count' usage" >&2; exit 4; \
! 761: fi; \
! 762: shift; \
! 763: desc=$$1 count=$$2; \
! 764: if test $$maybe_colorize = yes && test $$count -gt 0; then \
! 765: color_start=$$3 color_end=$$std; \
! 766: else \
! 767: color_start= color_end=; \
! 768: fi; \
! 769: echo "$${color_start}# $$desc $$count$${color_end}"; \
! 770: }; \
! 771: create_testsuite_report () \
! 772: { \
! 773: result_count $$1 "TOTAL:" $$all "$$brg"; \
! 774: result_count $$1 "PASS: " $$pass "$$grn"; \
! 775: result_count $$1 "SKIP: " $$skip "$$blu"; \
! 776: result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
! 777: result_count $$1 "FAIL: " $$fail "$$red"; \
! 778: result_count $$1 "XPASS:" $$xpass "$$red"; \
! 779: result_count $$1 "ERROR:" $$error "$$mgn"; \
! 780: }; \
! 781: { \
! 782: echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
! 783: $(am__rst_title); \
! 784: create_testsuite_report --no-color; \
! 785: echo; \
! 786: echo ".. contents:: :depth: 2"; \
! 787: echo; \
! 788: for b in $$bases; do echo $$b; done \
! 789: | $(am__create_global_log); \
! 790: } >$(TEST_SUITE_LOG).tmp || exit 1; \
! 791: mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
! 792: if $$success; then \
! 793: col="$$grn"; \
! 794: else \
! 795: col="$$red"; \
! 796: test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
! 797: fi; \
! 798: echo "$${col}$$br$${std}"; \
! 799: echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
! 800: echo "$${col}$$br$${std}"; \
! 801: create_testsuite_report --maybe-color; \
! 802: echo "$$col$$br$$std"; \
! 803: if $$success; then :; else \
! 804: echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
! 805: if test -n "$(PACKAGE_BUGREPORT)"; then \
! 806: echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
! 807: fi; \
! 808: echo "$$col$$br$$std"; \
! 809: fi; \
! 810: $$success || exit 1
! 811:
! 812: check-TESTS: $(check_PROGRAMS)
! 813: @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
! 814: @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
! 815: @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
! 816: @set +e; $(am__set_TESTS_bases); \
! 817: log_list=`for i in $$bases; do echo $$i.log; done`; \
! 818: trs_list=`for i in $$bases; do echo $$i.trs; done`; \
! 819: log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
! 820: $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
! 821: exit $$?;
! 822: recheck: all $(check_PROGRAMS)
! 823: @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
! 824: @set +e; $(am__set_TESTS_bases); \
! 825: bases=`for i in $$bases; do echo $$i; done \
! 826: | $(am__list_recheck_tests)` || exit 1; \
! 827: log_list=`for i in $$bases; do echo $$i.log; done`; \
! 828: log_list=`echo $$log_list`; \
! 829: $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
! 830: am__force_recheck=am--force-recheck \
! 831: TEST_LOGS="$$log_list"; \
! 832: exit $$?
! 833: arping_test.log: arping_test$(EXEEXT)
! 834: @p='arping_test$(EXEEXT)'; \
! 835: b='arping_test'; \
! 836: $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
! 837: --log-file $$b.log --trs-file $$b.trs \
! 838: $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
! 839: "$$tst" $(AM_TESTS_FD_REDIRECT)
! 840: .test.log:
! 841: @p='$<'; \
! 842: $(am__set_b); \
! 843: $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
! 844: --log-file $$b.log --trs-file $$b.trs \
! 845: $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
! 846: "$$tst" $(AM_TESTS_FD_REDIRECT)
! 847: @am__EXEEXT_TRUE@.test$(EXEEXT).log:
! 848: @am__EXEEXT_TRUE@ @p='$<'; \
! 849: @am__EXEEXT_TRUE@ $(am__set_b); \
! 850: @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
! 851: @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
! 852: @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
! 853: @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
! 854:
! 855: distdir: $(BUILT_SOURCES)
! 856: $(MAKE) $(AM_MAKEFLAGS) distdir-am
! 857:
! 858: distdir-am: $(DISTFILES)
1.1 misho 859: @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
860: topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
861: list='$(DISTFILES)'; \
862: dist_files=`for file in $$list; do echo $$file; done | \
863: sed -e "s|^$$srcdirstrip/||;t" \
864: -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
865: case $$dist_files in \
866: */*) $(MKDIR_P) `echo "$$dist_files" | \
867: sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
868: sort -u` ;; \
869: esac; \
870: for file in $$dist_files; do \
871: if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
872: if test -d $$d/$$file; then \
873: dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1.1.1.2 misho 874: if test -d "$(distdir)/$$file"; then \
875: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
876: fi; \
1.1 misho 877: if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1.1.1.2 misho 878: cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
879: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1.1 misho 880: fi; \
1.1.1.2 misho 881: cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1.1 misho 882: else \
1.1.1.2 misho 883: test -f "$(distdir)/$$file" \
884: || cp -p $$d/$$file "$(distdir)/$$file" \
1.1 misho 885: || exit 1; \
886: fi; \
887: done
888: check-am: all-am
1.1.1.3 ! misho 889: $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
! 890: $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1.1 misho 891: check: check-am
892: all-am: Makefile $(PROGRAMS)
893: installdirs:
894: for dir in "$(DESTDIR)$(sbindir)"; do \
895: test -z "$$dir" || $(MKDIR_P) "$$dir"; \
896: done
897: install: install-am
898: install-exec: install-exec-am
899: install-data: install-data-am
900: uninstall: uninstall-am
901:
902: install-am: all-am
903: @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
904:
905: installcheck: installcheck-am
906: install-strip:
1.1.1.2 misho 907: if test -z '$(STRIP)'; then \
908: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
909: install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
910: install; \
911: else \
912: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
913: install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
914: "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
915: fi
1.1 misho 916: mostlyclean-generic:
1.1.1.3 ! misho 917: -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
! 918: -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
! 919: -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1.1 misho 920:
921: clean-generic:
922:
923: distclean-generic:
924: -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1.1.1.2 misho 925: -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1.1 misho 926: -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
927:
928: maintainer-clean-generic:
929: @echo "This command is intended for maintainers to use"
930: @echo "it deletes files that may require special tools to rebuild."
931: clean: clean-am
932:
1.1.1.3 ! misho 933: clean-am: clean-checkPROGRAMS clean-generic clean-noinstPROGRAMS \
! 934: clean-sbinPROGRAMS mostlyclean-am
1.1 misho 935:
936: distclean: distclean-am
1.1.1.3 ! misho 937: -rm -f $(DEPDIR)/findif_bsdroute.Po
! 938: -rm -f $(DEPDIR)/findif_getifaddrs.Po
! 939: -rm -f $(DEPDIR)/findif_linux.Po
! 940: -rm -f $(DEPDIR)/findif_other.Po
! 941: -rm -f $(DEPDIR)/findif_sysctl.Po
! 942: -rm -f ./$(DEPDIR)/arping.Po
! 943: -rm -f ./$(DEPDIR)/arping_main.Po
! 944: -rm -f ./$(DEPDIR)/arping_test.Po
! 945: -rm -f ./$(DEPDIR)/fuzz_pingip.Po
! 946: -rm -f ./$(DEPDIR)/mock_libnet.Po
! 947: -rm -f ./$(DEPDIR)/mock_libpcap.Po
! 948: -rm -f ./$(DEPDIR)/unix.Po
1.1 misho 949: -rm -f Makefile
950: distclean-am: clean-am distclean-compile distclean-generic \
951: distclean-tags
952:
953: dvi: dvi-am
954:
955: dvi-am:
956:
957: html: html-am
958:
1.1.1.2 misho 959: html-am:
960:
1.1 misho 961: info: info-am
962:
963: info-am:
964:
965: install-data-am:
966:
967: install-dvi: install-dvi-am
968:
1.1.1.2 misho 969: install-dvi-am:
970:
1.1 misho 971: install-exec-am: install-sbinPROGRAMS
972:
973: install-html: install-html-am
974:
1.1.1.2 misho 975: install-html-am:
976:
1.1 misho 977: install-info: install-info-am
978:
1.1.1.2 misho 979: install-info-am:
980:
1.1 misho 981: install-man:
982:
983: install-pdf: install-pdf-am
984:
1.1.1.2 misho 985: install-pdf-am:
986:
1.1 misho 987: install-ps: install-ps-am
988:
1.1.1.2 misho 989: install-ps-am:
990:
1.1 misho 991: installcheck-am:
992:
993: maintainer-clean: maintainer-clean-am
1.1.1.3 ! misho 994: -rm -f $(DEPDIR)/findif_bsdroute.Po
! 995: -rm -f $(DEPDIR)/findif_getifaddrs.Po
! 996: -rm -f $(DEPDIR)/findif_linux.Po
! 997: -rm -f $(DEPDIR)/findif_other.Po
! 998: -rm -f $(DEPDIR)/findif_sysctl.Po
! 999: -rm -f ./$(DEPDIR)/arping.Po
! 1000: -rm -f ./$(DEPDIR)/arping_main.Po
! 1001: -rm -f ./$(DEPDIR)/arping_test.Po
! 1002: -rm -f ./$(DEPDIR)/fuzz_pingip.Po
! 1003: -rm -f ./$(DEPDIR)/mock_libnet.Po
! 1004: -rm -f ./$(DEPDIR)/mock_libpcap.Po
! 1005: -rm -f ./$(DEPDIR)/unix.Po
1.1 misho 1006: -rm -f Makefile
1007: maintainer-clean-am: distclean-am maintainer-clean-generic
1008:
1009: mostlyclean: mostlyclean-am
1010:
1011: mostlyclean-am: mostlyclean-compile mostlyclean-generic
1012:
1013: pdf: pdf-am
1014:
1015: pdf-am:
1016:
1017: ps: ps-am
1018:
1019: ps-am:
1020:
1021: uninstall-am: uninstall-sbinPROGRAMS
1022:
1.1.1.3 ! misho 1023: .MAKE: check-am install-am install-strip
1.1 misho 1024:
1.1.1.3 ! misho 1025: .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
! 1026: check-am clean clean-checkPROGRAMS clean-generic \
! 1027: clean-noinstPROGRAMS clean-sbinPROGRAMS cscopelist-am ctags \
! 1028: ctags-am distclean distclean-compile distclean-generic \
! 1029: distclean-tags distdir dvi dvi-am html html-am info info-am \
! 1030: install install-am install-data install-data-am install-dvi \
! 1031: install-dvi-am install-exec install-exec-am install-html \
! 1032: install-html-am install-info install-info-am install-man \
! 1033: install-pdf install-pdf-am install-ps install-ps-am \
! 1034: install-sbinPROGRAMS install-strip installcheck \
! 1035: installcheck-am installdirs maintainer-clean \
1.1 misho 1036: maintainer-clean-generic mostlyclean mostlyclean-compile \
1.1.1.3 ! misho 1037: mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
! 1038: uninstall uninstall-am uninstall-sbinPROGRAMS
! 1039:
! 1040: .PRECIOUS: Makefile
1.1 misho 1041:
1.1.1.2 misho 1042:
1.1 misho 1043: # Tell versions [3.59,3.63) of GNU make to not export all variables.
1044: # Otherwise a system limit (for SysV at least) may be exceeded.
1045: .NOEXPORT:
FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>